Our solutions
Atlas Copco Rental
Solutions
Industries served
Compressors
Solutions
Products
Compressors
Industrial condensate treatment solutions range
Products
Industrial condensate treatment solutions range
Industrial condensate treatment solutions range
Industrial condensate treatment solutions range
Process gas and air equipment
Products
Process gas and air equipment
Process gas and air equipment
Process gas and air equipment
Compressors
Compressors
Industrial Tools & Solutions
Solutions
Industries Served
Industrial Tools & Solutions
Aerospace
Industries Served
Aerospace
Aerospace
Aerospace
Aerospace
Foundries & Metal Fabrication
Original equipment manufacturer
Industries Served
Original equipment manufacturer
Original equipment manufacturer
Original equipment manufacturer
Original equipment manufacturer
Industries Served
Industries Served
Products
Industrial Tools & Solutions
Air line accessories
Products
Air line accessories
Air line accessories
Air line accessories
Drilling solutions
Material removal tools
Products
Material removal tools
Material removal tools
Material removal tools
Material removal tools
Material removal tools
Material removal tools
Material removal tools
Material removal tools
Material removal tools
Service
Industrial Tools & Solutions
Atlas Copco service solutions
Service
Atlas Copco service solutions
Atlas Copco service solutions
Atlas Copco service solutions
Vacuum solutions

Frequently Asked Questions

1.

What will happen if I have a new TC and by mistake replace the Application Software with an older version that is not supported?

Answer:
Nothing severe, the TC will not start up but it is not damaged. Just download a supported version.

2.

If my primary TC goes down, can I replace it with a BETA100 of the same version as the system?

Answer:
Yes, any TC in the system can be replaced by a new one.

3.

How do I replace my primary TC with a new HW?

Answer:
It's the same procedure as with a secondary. Remember to do a backup of the system and once the question "Is this a replacement TC" shows up on the PM4000 display, press "NO" and follow the Installation Instructions [Link].

4.

Does the new flash memory add any additional functionalities to the system?

Answer:
No, it’s replaced with another flash memory with the same performance requirement as the old one.

5.

If one of the TCs in my system goes down and I don’t want to upgrade my system, how do I do?

Answer:
• For major curstomer releases such as pre-installed production releases, BETA100 releases will be prepared and published online on demand.
• Scan the QR code, which is attached on the PowerMacs 4000 display and follow the instructions.

1. Download the matching BETA100-release if it exists and load it into your TC.
2. Connect the TC to the system.
3. When the system ask ”Is this a replacement TC”, select NO.
4. We recommend to upgrade all TCs in the system to this BETA100 release.

6.

Do I need to update Multiprog?

Answer:
• Controllers running on software version 10.7.0 or lower could be run with Multiprog 4.6.
-Multiprog 4.6 are not compatible with Windows 7 or Windows 10
-Multiprog 4.6 was used in version 10.0.0-10.2.2 and alternative in version 10.3.0-10.7.0.

• If you upgrade to the latest 10.9.14 HF2 you will have to follow the upgrade procedure depending on what version you are going from.

Setup version Multiprog Compatibility for  10.9.14 HF2

Version 10.0.0 to 10.2.2

4,6

It is possible to read and convert these setups if they are read from file, but it is not possible to connect to a TC running software of version 10.0.0 to 10.2.2

Version 10.3.0 to 10.7.0 with Multiprog version 4.6

4,6

It is possible to read and convert these setups if they are read from file.

It is also possible to connect to a TC and read and convert such setups but it is not possible to connect to the TC and use the setup without conversion to Multiprog version 5.35.

Version 10.3.0 to 10.7.0 with Multiprog version 5.35

5,35

ToolsTalk PowerMACS version 10.9.14 HF2 is fully compatible.

The setups are possible to use without conversion and it is also possible to connect to a TC with such setups without conversion.

Version 10.8.0 and newer

5,35

ToolsTalk PowerMACS version 10.9.14 HF2 is fully compatible.

The setups are possible to use without conversion and it is also possible to connect to a TC with such setups without conversion.

7.

How do I know if my PM4000 is old or new?

Answer:
• PowerMACS 4000 with the new flash memory will be marked with generation letter G.
• The hardware with the new flash memories will be delivered with "READ ME" labels on both the box and the TC Panel.

8.

Is my ToolsTalk PowerMACS (TTPM) affected?

Answer:
If you are installing a BETA100 version, you can use your existing TTPM otherwise you need to update to 10.9.14 or newer.

9.

Why is Atlas Copco not purchasing the same component from another supplier on the market?

Answer:
• Operations department has tried to scan the market for similar components.
• All memories of this type are highly sought after on the market.
-Therefore the risk increases for fake or used components.
-Or our price for this component will skyrocket.
• To purchase a small batch from a new suppliers is a risk for the quality of PowerMACS4000. This is weighted with the trust and reliability.